	                                                                                                                                                                                                                        
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">

function pon_prefijo(cdgbar,dscart,pre001,cob_iv,cantidad) {
	parent.document.formulario_lineas.cdgbar.value=cdgbar;
	parent.document.formulario_lineas.dscart.value=dscart;
	parent.document.formulario_lineas.preivi.value=pre001;
	parent.document.formulario_lineas.cantidad.value=cantidad;
	parent.document.formulario.cob_iv.value=cob_iv;
	
    
}


function limpiar() {
	parent.document.formulario_lineas.cdgbar.value="";
	parent.document.formulario_lineas.dscart.value="";
	parent.document.formulario_lineas.preivi.value="";
	parent.document.formulario_lineas.cantidad.value="";
	parent.document.formulario.cob_iv.value="";
	parent.document.getElementById("cdgbar").focus();
	parent.document.getElementById("cdgbar").select();

}

</script>
<?php include ("../conexion.php"); ?>
<body>
<?php
	$cantidad = "1.00";
	$cdgcli=$_GET["cdgcli"];
	$cdgbar=$_GET["cdgbar"];
	

		 
	  $query_precio="SELECT * FROM web_0301 WHERE cdgcli='$cdgcli'";
		$rs_query_precio=$mysqli->query($query_precio);

		$row=mysqli_fetch_assoc($rs_query_precio);

		$tippre= $row["tippre"];
		

	
	
	if ($tippre==2) {   ///////////////////////////////        tipo de precio normal /////////////
	
	$consulta="SELECT * FROM web_1001 WHERE cdgbar=$cdgbar  and estart = 1 ";	 
	$rs_tabla = $mysqli->query($consulta);

	$row=mysqli_fetch_assoc($rs_tabla);

	 $cob_iv=$row["cob_iv"];
	 $existencia=$row["exiact"];
	 $pasillo=$row["pasillo"];
	 $estante=$row["estante"];
	 
	 	if ($cob_iv==1) {       //////////////////    si paga impuestos /////////////////

	if (mysqli_num_rows($rs_tabla)>0) {          /////////////////   si encuentra algo ///////////////
		?>
		<script languaje="javascript">
	pon_prefijo("<?php echo $row["cdgbar"] ?>","<?php echo $row["dscart"] ?>","<?php echo $row["pre001"]/1.13?>" , "<?php echo $cob_iv ?> ", "<?php echo $cantidad ?>");


		<?php
			if ($cdgbar==101 or $cdgbar==102) {            ///////////////  si encontro codigo o o 1 ///////////////
			?>
					parent.document.getElementById("dscart").focus();
					parent.document.getElementById("dscart").select();
		<?php
		} else {                                        /////////////////  sino es o o 1  /////////////////////////
		?>
					parent.document.getElementById("cantidad").focus();
					parent.document.getElementById("cantidad").select();
		<?php
			}                                          ////////////////////cierra 0 y 1  ///////////////////////////
		
		?>
		

		</script>
		<?php 
		} else {                                      /////////////////////////   sino encontro lineas  //////////////
	
 ?>
	<script>
	alert ("No existen articulos registrados con este codigo");
	limpiar();
	</script>


	<?php 
 }                                                  ///////////////////  cierra que no encontro lineas ///////////////////


			} else {                              /////////////////////////   sino  no paga impuestos ////////////////
	
	
	
	
	$rs_tabla = $mysqli->query($consulta);
	$row=mysqli_fetch_assoc($rs_tabla);
	if (mysqli_num_rows($rs_tabla)>0) {           ////////////////////////////// si  encontro lineas /////////////////////////
		?>
		<script languaje="javascript">
	pon_prefijo("<?php echo $row["cdgbar"] ?>","<?php echo $row["dscart"] ?>","<?php echo $row["pre001"] ?>" , "<?php echo $cob_iv ?> ", "<?php echo $cantidad ?>");


		<?php
			if ($cdgbar==101 or $cdgbar==102) {              //////////////////////si codigo es 0 o 1   /////////////////////////
			?>
					parent.document.getElementById("dscart").focus();
					parent.document.getElementById("dscart").select();
		<?php 
		} else {                                        ////////////////////////// si codigo no es o ni 1 ///////////////////// 
		?>
					parent.document.getElementById("cantidad").focus();
					parent.document.getElementById("cantidad").select();
		<?php
			}                                               ///////////////////////// cierra  0 y 1 ////////////////////////
		
		?>
		

		</script>
		<?php 
		} else {                                         ////////////////////////////////sino encuentra lineas /////////////////
	
 ?>
	<script>
	alert ("No existen articulos registrados con este codigo");
	limpiar();
	</script>


	<?php 
 }                                                      //////////////////////////////////// cierra q no encontro lineas ///////////
 }                                               /////////////////////////////////////cierra  que no paga impuestos ////////////
	
	}                                             ///////////////////////////////////// cierra que el tipo de precio es 2 ///////
	
	

	if ($tippre==1) {   ///////////////////////////////        tipo de precio mayoreo  /////////////
	
	$consulta="SELECT * FROM web_1001 WHERE cdgbar=$cdgbar  and estart = 1 ";
	$rs_tabla = $mysqli->query($consulta);

	$row=mysqli_fetch_assoc($rs_tabla);
	
	 $cob_iv=$row["cob_iv"];
	 $existencia=$row["exiact"];
	 $pasillo=$row["pasillo"];
	 $estante=$row["estante"];
	 
	 	if ($cob_iv==1) {       //////////////////        paga impuestos /////////////////
	 

	if (mysql_num_rows($rs_tabla)>0) {          /////////////////   si encuentra algo ///////////////
		?>
		<script languaje="javascript">
	pon_prefijo("<?php echo $row["cdgbar"] ?>","<?php echo $row["dscart"] ?>","<?php echo $row["pre002"]/1.13?>" , "<?php echo $cob_iv ?> ", "<?php echo $cantidad ?>");


		<?php
			if ($cdgbar==101 or $cdgbar==102) {            ///////////////  si encontro codigo o o 1 ///////////////
			?>
					parent.document.getElementById("dscart").focus();
					parent.document.getElementById("dscart").select();
		<?php
		} else {                                        /////////////////  sino es o o 1  /////////////////////////
		?>
					parent.document.getElementById("cantidad").focus();
					parent.document.getElementById("cantidad").select();
		<?php
			}                                          ////////////////////cierra 0 y 1  ///////////////////////////
		
		?>
		

		</script>
		<?php 
		} else {                                      /////////////////////////   sino encontro lineas  //////////////
	
 ?>
	<script>
	alert ("No existen articulos registrados con este codigo");
		
	limpiar();
	</script>


	<?php 
 }                                                  ///////////////////  cierra que no encontro lineas ///////////////////


			} else {                              /////////////////////////   sino  no paga impuestos ////////////////
	
	
	
	
	$rs_tabla = $mysqli->query($consulta);
	$row=mysqli_fetch_assoc($rs_tabla);
	if (mysqli_num_rows($rs_tabla)>0) {           ////////////////////////////// si  encontro lineas /////////////////////////
		?>
		<script languaje="javascript">
	pon_prefijo("<?php echo $row["cdgbar"] ?>","<?php echo $row["dscart"] ?>","<?php echo $row["pre002"] ?>" , "<?php echo $cob_iv ?> ", "<?php echo $cantidad ?>");


		<?php
			if ($cdgbar==101 or $cdgbar==102) {              //////////////////////si codigo es 0 o 1   /////////////////////////
			?>
					parent.document.getElementById("dscart").focus();
					parent.document.getElementById("dscart").select();
		<?php 
		} else {                                        ////////////////////////// si codigo no es o ni 1 ///////////////////// 
		?>
					parent.document.getElementById("cantidad").focus();
					parent.document.getElementById("cantidad").select();
		<?php
			}                                               ///////////////////////// cierra  0 y 1 ////////////////////////
		
		?>
		

		</script>
		<?php 
		} else {                                         ////////////////////////////////sino encuentra lineas /////////////////
	
 ?>
	<script>
	alert ("No existen articulos registrados con este codigo");
		
	limpiar();
	</script>


	<?php 
 }                                                      //////////////////////////////////// cierra q no encontro lineas ///////////
 }                                               /////////////////////////////////////cierra  que no paga impuestos ////////////
	
	}   



	
?>
</div>
</body>
</html>
